/**
 * @file  微信JSSDK api注册
 * @author 龚一峰
 */
let _shareDefault = {
  title: "赛嶺公寓",
  desc: "时光不老，我们不散",
  link: location.href,
  imgUrl: "http://c.sailapartment.com/wx/img/home_pic_banner@3x.510d0eb.jpg"
};
export default  {
  init: function (data) {
    //this.getToken();
    //
    wx.config({
      debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
      appId: data.appid,//appId通过微信服务号后台查看
      timestamp: data.timestamp,//生成签名的时间戳
      nonceStr: data.noncestr,//生成签名的随机字符串
      signature: data.signature,//签名
      jsApiList: [
        "getLocation",
        "openLocation",
        "getNetworkType",
        "onMenuShareTimeline",
        "onMenuShareAppMessage"
      ] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
    });
    this.initShareMessage();
    this.initShareTimeline();
  },
  getToken: function () {
    var me = this;
  },
  initShareMessage: function (options) {
    var options = options || {};
    _shareDefault.link = location.href
    var _settings = Object.assign({}, _shareDefault, options);

    wx.ready(function () {
      wx.onMenuShareAppMessage({
        title: _settings.title, // 分享标题
        link: _settings.link, // 分享链接
        imgUrl: _settings.imgUrl, // 分享图标
        desc: _settings.desc, // 分享描述
        type: "", // 分享类型,music、video或link，不填默认为link
        dataUrl: "", // 如果type是music或video，则要提供数据链接，默认为空
        success: function () {
          options.callback && options.callback();
          // 用户确认分享后执行的回调函数
        },
        cancel: function () {
          // 用户取消分享后执行的回调函数
        }
      });

    });
  },
  initShareTimeline: function (options) {
    var options = options || {};
    var _settings = Object.assign({}, _shareDefault, options);
    wx.ready(function () {
      wx.onMenuShareTimeline({
        title: _settings.title, // 分享标题
        link: _settings.link, // 分享链接
        imgUrl: _settings.imgUrl, // 分享图标
        success: function () {
          options.callback && options.callback();
          // 用户确认分享后执行的回调函数
        },
        cancel: function () {
          // 用户取消分享后执行的回调函数
        }
      });
    });
  },

  networkType: function (cb) {
    wx.ready(function () {
      wx.getNetworkType({
        success: function (res) {
          cb(null, res.networkType);
        },
        fail: function () {
          cb(true);
        }
      });
    });
  }
};